package com.izouma.nineth.dto.sumpay;

import com.alibaba.fastjson.annotation.JSONField;
import fosun.sumpay.merchant.integration.core.request.MerchantBaseRequest;
import lombok.Data;

@Data
public class UserQuery extends MerchantBaseRequest {

    private String partner_id;

    //必须是大于1的整数,每页100个记录。
    private String page_index;

    private String user_id;

    //1、正常 2、冻结 5、暂时冻结 7、假名 8、疑异 9、休眠 10、锁定，未提交修改 11、锁定，已提交修改 不同合作商中有一个提交修改，状态就为11，这时别的合作商不能修改，需等待审核完成
    private String user_status;

    //注册时间，查询开始时间，格式：yyyyMMddHHmmss 和结束时间同时存在或同时不存在，与用户id中必有一个存在
    private String start_time;

    private String end_time;


    @JSONField(
            serialize = false
    )
    @Override
    public String[] getBase64EncodedWords() {
        return new String[]{"terminal_info", "longitude", "latitude"};
    }

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getAesEncodedWords() {
        return new String[]{};
    }

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getCharsetChangeWords() {
        return new String[]{"terminal_info"};
    }


}
